std::is_error_condition_enum(3)

NAME
std::is_error_condition_enum - std::is_error_condition_enum

Synopsis
   Defined in header <system_error>
   template< class T > (since C++11)
   struct is_error_condition_enum;
   If T is an error condition enum, this template provides the member constant value
   equal true. For any other type, value is false.
   This template may be specialized for a user-defined type to indicate that the type
   is eligible for std::error_condition automatic conversions.
   The following class of the standard library is an error condition enum: std::errc.
  Helper variable template
   template< class T >
   inline constexpr bool is_error_condition_enum_v = (since C++17)
   is_error_condition_enum<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is an error condition enum, false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

See also
   is_error_code_enum identifies a class as an error_code enumeration
   (C++11) (class template)